Description

Based upon information entered for treatment regimens, the system will fill in the composition field automatically, instead of being

entered manually by the users.

Multidrug regimens, for instance: 6Cm5LfxPtoCsZ/2Cm3LfxPtoCs/14LfxPtoCs

- The capital numbers mean the duration of medicines in months, initially considering the intensive phase (i.e.,

6Cm5LfxPtoCsZ/2Cm3LfxPtoCs) and then separating the continuation phase with a slash (i.e., 14LfxPtoCs).

- If there is different duration for medicines during the intensive phase (or during the continuation phase), the system should split in

groups separating with slashes. From the example above, Z is used for 6 months, but the other drugs are used by 8 months, so: 

6_CmLfxPtoCs_Z/2CmLfxPtoCs. The total duration of the intensive phase is 8 months.

- The abbreviated name is captured from the medicines registration.

- The subscript number means the days per week for each medicine. If this number is 6 or 7, do not need to be displayed, but if it’s 5

or less have to be displayed.

Single drug regimens, for instance: 8Cm5

- Same logic as for multidrug regimen.

History

#1 - 12/11/2013 12:18 PM - Luis Gustavo do Valle Bastos

The injectable medicines must be always displayed as the first abbreviated name at the left.

#2 - 01/08/2014 10:13 AM - Oleksii Kurasov

- File 2_101036.000000screenshot.png added

- Due date set to 01/10/2014

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Gustavo, right now this feature will work only when You press by mouse the "composition" label. Please, check, does composition work right. Take a

look on the screenshot below.

#3 - 01/27/2014 05:28 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- System must display all text entered in the "Abbreviated name" field as it is, including the parenthesis.

- Do not implement the subscript number requested above.

#4 - 01/29/2014 01:07 PM - Oleksii Kurasov

- Due date changed from 01/10/2014 to 01/30/2014

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos
Days of week displays as small number, if less then 6. Is it correct?

#5 - 01/30/2014 01:10 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Allow the composition field to be changed/edited by users anytime (even when the regimen is being created before save it).

#6 - 01/31/2014 07:08 AM - Oleksii Kurasov

- Due date changed from 01/30/2014 to 01/31/2014

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#7 - 01/31/2014 11:38 AM - Luis Gustavo do Valle Bastos

- File Composition field issue.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Numbers related to "Days per week" are not appearing as subscript (as in the previous version), but as capital numbers. Please correct. See figure

"Composition field issue" attached.

- Change the current warning message when users edit the composition initially displayed by the system to: The composition XXX that you entered is

different from the composition YYY currently in the system. Are you sure you want to change? Yes No

XXX must be replaced with the users' composition

YYY must be replaced with the system's composition.

#8 - 02/03/2014 07:19 AM - Oleksii Kurasov

- Due date changed from 01/31/2014 to 02/03/2014

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#9 - 02/03/2014 11:14 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

Files

2_101036.000000screenshot.png 20.5 KB 01/08/2014 Oleksii Kurasov

Composition field issue.JPG 67.3 KB 01/31/2014 Luis Gustavo do Valle Bastos
